﻿$ErrorActionPreference = "Stop";

$packageArgs = @{
  packageName = $env:ChocolateyPackageName
  fileType = "exe"
  silentArgs = "/SD"
  url = "https://d3qm0vl2sdkrc.cloudfront.net/releases/6.2041.0/6.2041.0.39937/release/DashlaneInst.exe"
  validExitCodes = @(0,1223)
  checksum = "cc8e51abd2c994129df023fe8deb97aeb3e49837"
  checksumType = "sha1"
};

Install-ChocolateyPackage @packageArgs

$installLocation = Get-AppInstallLocation "dashlane*"
if ($installLocation) {
  Write-Host "$packageName installed to '$installLocation'"
} else {
  Write-Warning "Can't find install location"
}

Start-Sleep -Seconds 20

Get-Process -Name "dashlane*" | % {
  Write-Host "Stopping $($_.ProcessName) process ($($_.Id)) ..."
  Stop-Process $_
}
